Displaying 8 results from an estimated 8 matches for "6fab253".
2014 Sep 20
3
[PATCH v2 0/3] tests: Introduce test harness for running tests.
This has got to the stage where it actually works, both for running
the tests in-tree and installed.
The 'test-harness' script has become rather over-complex in the
process however.
Rich.
2014 Oct 03
0
[PATCH v3] tests: Introduce test harness for running tests.
...., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+export LANG=C
+set -e
+set -x
+
+for g in "$@"; do
+ virt-inspector -c "@libvirt_ro_uri@" -d "$g" || exit 1
+done
diff --git a/inspector/test-virt-inspector.sh b/inspector/test-virt-inspector.sh
index 6fab253..d666e7b 100755
--- a/inspector/test-virt-inspector.sh
+++ b/inspector/test-virt-inspector.sh
@@ -20,23 +20,16 @@ export LANG=C
set -e
set -x
-# Allow this test to be skipped.
-if [ -n "$SKIP_TEST_VIRT_INSPECTOR_SH" ]; then
- echo "$0: skipping test because SKIP_TEST_VIRT_INSP...
2014 Oct 05
0
[PATCH v5 1/7] tests: Introduce test harness for running tests.
...., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+export LANG=C
+set -e
+set -x
+
+for g in "$@"; do
+ virt-inspector -c "@libvirt_ro_uri@" -d "$g" || exit 1
+done
diff --git a/inspector/test-virt-inspector.sh b/inspector/test-virt-inspector.sh
index 6fab253..d666e7b 100755
--- a/inspector/test-virt-inspector.sh
+++ b/inspector/test-virt-inspector.sh
@@ -20,23 +20,16 @@ export LANG=C
set -e
set -x
-# Allow this test to be skipped.
-if [ -n "$SKIP_TEST_VIRT_INSPECTOR_SH" ]; then
- echo "$0: skipping test because SKIP_TEST_VIRT_INSP...
2014 Sep 16
5
[PATCH 0/3] tests: Introduce test harness for running tests.
These are my thoughts on adding a test harness to run tests instead of
using automake. The aim of this exercise is to allow us to run the
full test suite on an installed copy of libguestfs. Another aim is to
allow us to work around all the limitations and problems of automake.
The first patch makes an observation that since the ./run script sets
up $PATH to contain all the directories
2014 Oct 04
4
[PATCH v4 0/4] tests: Introduce test harness for running tests.
This converts more of the tests (basically everything under tests/) to
use the test harness, revealing some problems which have subsequently
been fixed.
Rich.
2014 Oct 05
12
[PATCH v5 0/7] tests: Introduce test harness for running tests.
Since v4:
- More tests have been converted.
- Testing local guests fixed.
- Drop no-exec-stack test.
2014 Oct 23
10
[PATCH v6 00/10] tests: Introduce test harness for running tests.
For v6:
This is mainly just a rebase, but I have also added tests in the
ocaml/ language bindings directory, and for all the OCaml-written virt
tools.
Rich.
2014 Oct 24
10
[PATCH v7 00/10] tests: Introduce test harness for running tests.
v7:
The only changes since v6 are those suggested by Pino in the review
of v5.